<?php
get_header();
?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
	<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
	<div class="entry">
		<?php the_content(__('(Читать далее...)')); ?>
		<?php wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>')); ?>
	</div>
	<div class="meta">Автор: <?php the_author() ?> Категория: <?php the_category(',') ?> <?php the_tags(__(' - Теги: '), ', '); ?> <?php comments_popup_link(__(' - Комментариев (0)'), __(' - Комментарий (1)'), __(' - Комментариев (%)')); ?> <?php edit_post_link(__('Изменить'),' - '); ?></div>
	<div class="date">
		<span class="day"><?php the_time('j') ?></span>
		<span class="month"><?php the_time('F') ?></span>
	</div>
</div>

<?php comments_template(); // Get wp-comments.php template ?>

<?php endwhile; else: ?>
<p><?php _e('Извините, то что вы ищите не найдено.'); ?></p>
<?php endif; ?>

<?php
if($wp_query->max_num_pages>1) {
echo '<div class="navig">';
posts_nav_link(' &#8212; ', __('&laquo; Предыдущие записи'), __('Следующие записи &raquo;'));
echo '</div>';
}
?>

<?php get_footer(); ?>
